List notification channels
/orgs/{organizationId}/notification-channelsList notification channels. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= length1 <= value <= 100501 <= length <= 2048Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orgs/string/notification-channels"{ "data": [ { "id": "string", "organizationId": "string", "projectId": "string", "name": "string", "provider": "string", "destination": "string", "events": [ "string" ], "minRelevance": 0, "minScore": 0, "enabled": true, "signingSecretPreview": "string", "simulated": true, "property1": "string", "property2": "string" } ], "meta": { "requestId": "string", "replayed": true, "nextCursor": "string" }}List project delivery history GET
List project delivery history. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.
Create a notification channel POST
Create a notification channel. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.